#### Supplemental Material for the Prompts Used in the Experiments

We present all the prompts we used in the experiments during the rebuttal. For the original prompts, please refer to the appendix of the paper.

|      | AG's News (LM-BFF Prompt set 1)                              | AG's News (LM-BFF Prompt set 2)                              |
| ---- | ------------------------------------------------------------ | ------------------------------------------------------------ |
| 1    | $\texttt{[Input] Read more on [MASK] News Now.}$             | $\texttt{[Input] Read more on [MASK].com.}$                  |
| 2    | $\texttt{[Input] Read more on [MASK] Insider.}$              | $\texttt{[Input] The [MASK] Reports has more.}$              |
| 3    | $\texttt{[Input] Read more in [MASK] News.}$                 | $\texttt{[Input] Read more at [MASK].com.}$                  |
| 4    | $\texttt{[Input] Read more on Yahoo [MASK].}$                | $\texttt{[Input] This article originally appeared in [MASK] News.}$ |
| 5    | $\texttt{[Input] Read more at [MASK] Daily.}$                | $\texttt{[Input] U.S. [MASK] Report.}$                       |
| 6    | $\texttt{[Input] Read more at Yahoo [MASK].}$                | $\texttt{[Input] The New York Times [MASK] News.}$           |
| 7    | $\texttt{[Input] Read more on [MASK] News.}$                 | $\texttt{[Input] Read more at [MASK] News.}$                 |
| 8    | $\texttt{[Input] The [MASK] Journal has the story.}$         | $\texttt{[Input] (CNN[MASK]).}$                              |
| 9    | $\texttt{[Input] Read more on [MASK] Daily.}$                | $\texttt{[Input] Read more on [MASK] Daily.}$                |
| 10   | $\texttt{[Input] The article originally appeared on [MASK] News.}$ | $\texttt{[Input] The New York [MASK] Journal.}$              |



|      | AG's News (Manual)                                           | RTE (Manual)                                                 |
| ---- | ------------------------------------------------------------ | ------------------------------------------------------------ |
| 1    | $\texttt{[Input] Overall, it's a news in [MASK] field.}$     | $\texttt{[Input1] According to the above description, the following statement is [MASK]: [Input2]}$ |
| 2    | $\texttt{[Input] Read more at [MASK] News Now.}$             | $\texttt{Suppose [Input1] Is it true that [Input2]? Answer: [MASK].}$ |
| 3    | $\texttt{[Input] Now we know better in  [MASK] aspect.}$     | $\texttt{[Input1] Question: [Input2] True or False? Answer: [MASK].}$ |
| 4    | $\texttt{Here is a [MASK] news: [Input]}$                    | $\texttt{[Input1] Based on the previous passage, it is [MASK] that [Input2] }$ |
| 5    | $\texttt{Now I will talk about [MASK]: [Input]}$             | $\texttt{Based on the following sentence [Input1], it must be [MASK] that [Input2]}$ |
| 6    | $\texttt{Now you will hear the latest news about [MASK]: [Input]}$ | $\texttt{Given the premise: [Input1], the hypothesis that [Input2] is [MASK].}$ |
| 7    | $\texttt{This [MASK] news happened recently: [Input]}$       | $\texttt{[Input1]. Based on the premise, think about whether the following statement is correct or not: [Input2] Answer: [MASK].}$ |
| 8    | $\texttt{[Input] That's all for today's [MASK] News.}$       | $\texttt{Remember that [Input1] We [MASK] the following sentence: [Input2]}.$ |
| 9    | $\texttt{[Input] Besides that, there are two more news in [MASK].}$ | $\texttt{Given the fact that [Input1] is the following claim: [Input2] true or false? Answer: [MASK].}$ |
| 10   | $\texttt{Now let's talk more about [MASK]. [Input]}$         | $\texttt{[Input1][MASK][Input2]}$                            |







|      | AG's News (PET)                      | RTE (PET)                                                    |
| ---- | ------------------------------------ | ------------------------------------------------------------ |
| 1    | $\texttt{[MASK]: [Input].}$          | $\texttt{"[Input1]"?[MASK], [Input2]}$                       |
| 2    | $\texttt{[MASK]-[Input].}$           | $\texttt{[Input1]?[MASK], [Input2]}$                         |
| 3    | $\texttt{[MASK] News [Input].}$      | $\texttt{"[Input1]"?[MASK]. [Input2]}$                       |
| 4    | $\texttt{[Input]([MASK])}$           | $\texttt{[Input1]?[MASK]. [Input2]}$                         |
| 5    | $\texttt{[Category:[MASK]] [Input]}$ | $\texttt{[Input1] question: [Input2] True or False? answer:[MASK]}$ |



|      | RTE (LM-BFF Prompt set 1)                     | RTE (LM-BFF Prompt set 2)                     |
| ---- | --------------------------------------------- | --------------------------------------------- |
| 1    | $\texttt{[Input1].[MASK]. The [Input2]}$      | $\texttt{[Input1].[MASK]., [Input2]}$         |
| 2    | $\texttt{[Input1].[MASK]... [Input2]}$        | $\texttt{[Input1].[MASK]. In fact [Input2]}$  |
| 3    | $\texttt{[Input1].[MASK]! [Input2]}$          | $\texttt{[Input1].[MASK] that [Input2]}$      |
| 4    | $\texttt{[Input1].[MASK]. But [Input2]}$      | $\texttt{[Input1].[MASK] of course [Input2]}$ |
| 5    | $\texttt{[Input1].[MASK] the [Input2]}$       | $\texttt{[Input1].[MASK]. Yes, [Input2]}$     |
| 6    | $\texttt{[Input1].[MASK]. And [Input2]}$      | $\texttt{[Input1].[MASK] --[Input2]}$         |
| 7    | $\texttt{[Input1].\\[MASK], [Input2]}$        | $\texttt{[Input1].[MASK]--[Input2]}$          |
| 8    | $\texttt{[Input1].[MASK], because [Input2]}$  | $\texttt{[Input1].[MASK], even [Input2]}$     |
| 9    | $\texttt{[Input1].[MASK] of [Input2]}$        | $\texttt{[Input1].[MASK] only[Input2]}$       |
| 10   | $\texttt{[Input1].[MASK], in fact, [Input2]}$ | $\texttt{[Input1].[MASK], in fact [Input2]}$  |

