#### Supplemental Material for the Prompts Used in the Experiments

We present all the prompts we used in the experiments during the rebuttal. For the original prompts, please refer to the appendix of the paper.

|      | AG's News (LM-BFF Prompt set 1)                              | AG's News (LM-BFF Prompt set 2)                              |
| ---- | ------------------------------------------------------------ | ------------------------------------------------------------ |
| 1    | $\texttt{[Input] Read more on [MASK] News Now.}$             | $\texttt{[Input] Read more on [MASK].com.}$                  |
| 2    | $\texttt{[Input] Read more on [MASK] Insider.}$              | $\texttt{[Input] The [MASK] Reports has more.}$              |
| 3    | $\texttt{[Input] Read more in [MASK] News.}$                 | $\texttt{[Input] Read more at [MASK].com.}$                  |
| 4    | $\texttt{[Input] Read more on Yahoo [MASK].}$                | $\texttt{[Input] This article originally appeared in [MASK] News.}$ |
| 5    | $\texttt{[Input] Read more at [MASK] Daily.}$                | $\texttt{[Input] U.S. [MASK] Report.}$                       |
| 6    | $\texttt{[Input] Read more at Yahoo [MASK].}$                | $\texttt{[Input] The New York Times [MASK] News.}$           |
| 7    | $\texttt{[Input] Read more on [MASK] News.}$                 | $\texttt{[Input] Read more at [MASK] News.}$                 |
| 8    | $\texttt{[Input] The [MASK] Journal has the story.}$         | $\texttt{[Input] (CNN[MASK]).}$                              |
| 9    | $\texttt{[Input] Read more on [MASK] Daily.}$                | $\texttt{[Input] Read more on [MASK] Daily.}$                |
| 10   | $\texttt{[Input] The article originally appeared on [MASK] News.}$ | $\texttt{[Input] The New York [MASK] Journal.}$              |




|      | AG's News (Manual)                                           | RTE (Manual)                                                 |
| ---- | ------------------------------------------------------------ | ------------------------------------------------------------ |
| 1    | $\texttt{[Input] Overall, it's a news in [MASK] field.}$     | $\texttt{[Input1] According to the above description, the following statement is [MASK]: [Input2]}$ |
| 2    | $\texttt{[Input] Read more at [MASK] News Now.}$             | $\texttt{Suppose [Input1] Is it true that [Input2]? Answer: [MASK].}$ |
| 3    | $\texttt{[Input] Now we know better in  [MASK] aspect.}$     | $\texttt{[Input1] Question: [Input2] True or False? Answer: [MASK].}$ |
| 4    | $\texttt{Here is a [MASK] news: [Input]}$                    | $\texttt{[Input1] Based on the previous passage, it is [MASK] that [Input2] }$ |
| 5    | $\texttt{Now I will talk about [MASK]: [Input]}$             | $\texttt{Based on the following sentence [Input1], it must be [MASK] that [Input2]}$ |
| 6    | $\texttt{Now you will hear the latest news about [MASK]: [Input]}$ | $\texttt{Given the premise: [Input1], the hypothesis that [Input2] is [MASK].}$ |
| 7    | $\texttt{This [MASK] news happened recently: [Input]}$       | $\texttt{[Input1]. Based on the premise, think about whether the following statement is correct or not: [Input2] Answer: [MASK].}$ |
| 8    | $\texttt{[Input] That's all for today's [MASK] News.}$       | $\texttt{Remember that [Input1] We [MASK] the following sentence: [Input2]}.$ |
| 9    | $\texttt{[Input] Besides that, there are two more news in [MASK].}$ | $\texttt{Given the fact that [Input1] is the following claim: [Input2] true or false? Answer: [MASK].}$ |
| 10   | $\texttt{Now let's talk more about [MASK]. [Input]}$         | $\texttt{[Input1][MASK][Input2]}$                            |







|      | AG's News (PET)                      | RTE (PET)                                                    |
| ---- | ------------------------------------ | ------------------------------------------------------------ |
| 1    | $\texttt{[MASK]: [Input].}$          | $\texttt{"[Input1]"?[MASK], [Input2]}$                       |
| 2    | $\texttt{[MASK]-[Input].}$           | $\texttt{[Input1]?[MASK], [Input2]}$                         |
| 3    | $\texttt{[MASK] News [Input].}$      | $\texttt{"[Input1]"?[MASK]. [Input2]}$                       |
| 4    | $\texttt{[Input]([MASK])}$           | $\texttt{[Input1]?[MASK]. [Input2]}$                         |
| 5    | $\texttt{[Category:[MASK]] [Input]}$ | $\texttt{[Input1] question: [Input2] True or False? answer:[MASK]}$ |



|      | RTE (LM-BFF Prompt set 1)                     | RTE (LM-BFF Prompt set 2)                     |
| ---- | --------------------------------------------- | --------------------------------------------- |
| 1    | $\texttt{[Input1].[MASK]. The [Input2]}$      | $\texttt{[Input1].[MASK]., [Input2]}$         |
| 2    | $\texttt{[Input1].[MASK]... [Input2]}$        | $\texttt{[Input1].[MASK]. In fact [Input2]}$  |
| 3    | $\texttt{[Input1].[MASK]! [Input2]}$          | $\texttt{[Input1].[MASK] that [Input2]}$      |
| 4    | $\texttt{[Input1].[MASK]. But [Input2]}$      | $\texttt{[Input1].[MASK] of course [Input2]}$ |
| 5    | $\texttt{[Input1].[MASK] the [Input2]}$       | $\texttt{[Input1].[MASK]. Yes, [Input2]}$     |
| 6    | $\texttt{[Input1].[MASK]. And [Input2]}$      | $\texttt{[Input1].[MASK] --[Input2]}$         |
| 7    | $\texttt{[Input1].\\[MASK], [Input2]}$        | $\texttt{[Input1].[MASK]--[Input2]}$          |
| 8    | $\texttt{[Input1].[MASK], because [Input2]}$  | $\texttt{[Input1].[MASK], even [Input2]}$     |
| 9    | $\texttt{[Input1].[MASK] of [Input2]}$        | $\texttt{[Input1].[MASK] only[Input2]}$       |
| 10   | $\texttt{[Input1].[MASK], in fact, [Input2]}$ | $\texttt{[Input1].[MASK], in fact [Input2]}$  |



|      | SST (for OPT)                                                |
| ---- | ------------------------------------------------------------ |
| 1    | $\texttt{Here is a movie review and below it I will evaluate this movie according to this review. [Input] This movie is}$ |
| 2    | $\texttt{[Input] Based on the previous review, the movie is}$ |
| 3    | $\texttt{[Input] The previous review shows the movie is}$    |
| 4    | $\texttt{[Input] According to the review, the movie seems}$  |
| 5    | $\texttt{[Input] I agree with the review, the movie is}$     |
| 6    | $\texttt{[Input] The review thinks the movie is}$            |
| 7    | $\texttt{[Input] The review says my opinion, the movie is}$  |
| 8    | $\texttt{Here is my review: [Input] I think the movie is}$   |
| 9    | $\texttt{Below is what I want to say about the movie: [Input] The movie is}$ |
| 10   | $\texttt{[Input] Does previous review like the movie?}$      |





|      | AG's News (for OPT)                                          |
| ---- | ------------------------------------------------------------ |
| 1    | $\texttt{Here is the latest news and below it I will tell you what this news is about.[Input] This news is about}$ |
| 2    | $\texttt{Determine what this news talk about: [Input] This news is about}$ |
| 3    | $\texttt{The following is a news. [Input] What is this news about?}$ |
| 4    | $\texttt{The following is a news. [Input] That tells a recent news in}$ |
| 5    | $\texttt{The following is a news. [Input] This news is about}$ |
| 6    | $\texttt{[Input] This is a news introducing}$                |
| 7    | $\texttt{[Input] To summary, this news talk about}$          |
| 8    | $\texttt{[Input] Similarly, I happen to know the recent news in}$ |
| 9    | $\texttt{[Input] This is very interesting, and besides that, I will tell you more about}$ |
| 10   | $\texttt{[Input] Now do you know better in}$                 |





|      | RTE (Manual)                                                 |
| ---- | ------------------------------------------------------------ |
| 1    | $\texttt{[Input1] question: [Input2] True or False? Answer: [MASK].}$ |
| 2    | $\texttt{sentence 1: [Input1] sentence 2: [Input2] What is the relationship between sentence 1 and sentence 2?}$ |
| 3    | $\texttt{sentence 1: [Input1] sentence 2: [Input2] Does sentence1 entail sentence 2?}$ |
| 4    | $\texttt{sentence 1: [Input1] sentence 2: [Input2] The relationship between sentence 1 and sentence 2 is}$ |
| 5    | $\texttt{sentence 1: [Input1] sentence 2: [Input2] Does sentence 2 contradicts sentence 1?}$ |
| 6    | $\texttt{sentence 1: [Input1] sentence 2: [Input2] Given the fact in sentence 1, we can know that sentence 2 is}$ |
| 7    | $\texttt{sentence 1: [Input1] sentence 2: [Input2] Summary the logical relationship between sentence 1 and sentence 2:}$ |
| 8    | $\texttt{sentence 1: [Input1] sentence 2: [Input2] Assume the claim in sentence 1 is true, can we say the claim in sentence 2 is also true?}$ |
| 9    | $\texttt{sentence 1: [Input1] sentence 2: [Input2] Do you think the claim in sentence 2 is valid given the claim in sentence 1?}$ |
| 10   | $\texttt{Read the following sentence: [Input1] Based on that, whether the following statement is true? [Input2] Answer:}$ |
